## ExoToolbarsEditorDialog ExoToolbarsEditorDialog — Dialog to edit toolbars |

## Functions

GtkWidget * | exo_toolbars_editor_dialog_new_with_model ()

## Types and Values

struct | ExoToolbarsEditorDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkWindow
                                ╰── GtkDialog
                                    ╰── ExoToolbarsEditorDialog

## Implemented Interfaces

ExoToolbarsEditorDialog implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <exo/exo.h>

## Description

Provides an easy-to-use wrapper for the ExoToolbarsEditor widget.

## Functions

### exo_toolbars_editor_dialog_new_with_model ()

    GtkWidget *
    exo_toolbars_editor_dialog_new_with_model
                                   (GtkUIManager *ui_manager,
                                    ExoToolbarsModel *model);

Creates a new ExoToolbarsEditorDialog that is associated with `ui_manager` and `model` .

#### Parameters

ui_manager | A GtkUIManager. |
model | An ExoToolbarsModel. |

#### Returns

A new ExoToolbarsEditorDialog.

## Types and Values

### struct ExoToolbarsEditorDialog

    struct ExoToolbarsEditorDialog;

The ExoToolbarsEditorDialog struct contains only private fields and should not be directly accessed.

## See Also

ExoToolbarsEditor